=== QT/APKBUILD ===
# Maintainer: Peter Bartfai <pbartfai@stardust.hu>
pkgname=ldview
#pkgver=4.4.1_beta2
pkgver=4.4.1
pkgrel=1
pkgdesc="A real-time 3D viewer for displaying LDraw models"
url="http://github.com/tcobbs/ldview"
arch="all"
license="GPL"
#Qt5.x
depends="qt5-qtbase libpng libjpeg-turbo"
makedepends="qt5-qtbase-dev qt5-qttools-dev glu-dev libjpeg-turbo-dev make cmake extra-cmake-modules"
#source="ldview-git.tar.gz"
subpackages="$pkgname-osmesa"

build() {
  if test "$CARCH" == x86_64; then
    PLATFORM=linux-g++-64
  else
    PLATFORM=linux-g++-32
  fi
  if   [ -x /usr/bin/qmake     ] ; then qmake      -spec $PLATFORM ;
  elif [ -x /usr/bin/qmake-qt5 ] ; then qmake-qt5 -spec $PLATFORM  ; fi
  if   [ -x /usr/bin/lrelease     ] ; then lrelease     LDView.pro ;
  elif [ -x /usr/bin/lrelease-qt5 ] ; then lrelease-qt5 LDView.pro ; fi
  make "TESTING=-I ../gl2ps -I ../3rdParty/tinyxml"
  cd kde5
  if [ -d build ]; then rm -rf build ; fi
  mkdir -p build
  cd build
  if cmake -DCMAKE_INSTALL_PREFIX=`kf5-config --prefix` .. ; then
    make
  fi
  cd ../../../OSMesa
  make
}
 
package() {
  test -d ${srcdir}/ldview-git/QT && cd ${srcdir}/ldview-git/QT || cd ..
  make INSTALL_ROOT="${pkgdir}" install
#  cd kde5/build
#  make DESTDIR="${pkgdir}" install
}

osmesa() {
  cd ../OSMesa
  make PREFIX="${pkgdir}-osmesa" install
}
